## javacc5 5.0

=== debian/changelog ===
javacc5 (5.0-11) unstable; urgency=medium

  * Source-only upload

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 18 May 2022 09:53:55 +0200

javacc5 (5.0-10) unstable; urgency=medium

  * Cloned the package as javacc5

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 13 May 2022 09:54:26 +0200

javacc (5.0-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

  [ Emmanuel Bourg ]
  * Standards-Version updated to 4.6.1
  * Switch to debhelper level 13
  * Fixed the watch file
  * Do not run the tests if the nocheck option is specified

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 13 May 2022 07:55:56 +0200

javacc (5.0-8) unstable; urgency=medium

  * Added the missing runtime dependency on junit
  * Standards-Version updated to 4.1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 07 Sep 2017 17:13:18 +0200

javacc (5.0-7) unstable; urgency=medium

  * Build with the DH sequencer instead of CDBS
  * Regenerate the bootstrap jar
  * Track and download the new releases from GitHub
  * Refreshed debian/copyright
  * Updated the Homepage field

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 18 Nov 2016 13:24:16 +0100

javacc (5.0-6) unstable; urgency=medium

  * Require Java 5 or higher at runtime
  * Moved the package to Git
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 18 Nov 2016 11:21:27 +0100

javacc (5.0-5) unstable; urgency=low

  * Fixed a regression causing the encountered/expected token list to be empty
    (see https://java.net/jira/browse/JAVACC-244)
  * Fixed the watch file
  * Enabled the unit tests
  * debian/control:
    - Removed Michael Koch from the Uploaders list (Closes: #654030)
    - Updated Standards-Version to 3.9.4
    - Use canonical URLs for the Vcs-* fields
    - Replaced the dependency of the documentation package on classpath-doc
      with default-jre-doc
  * Switched to quilt for managing the patches
  * Added the missing patch descriptions
  * debian/rules: Added a clean target to allow rebuilds
  * debian/orig-tar.sh: Install the tarball in the parent directory
  * debian/copyright: Updated to the Copyright Format 1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 06 Jun 2013 16:30:34 +0200

javacc (5.0-4) unstable; urgency=low

  [ Torsten Werner ]
  * Remove Paul from Uploaders list.

  [ David Paleino ]
  * debian/maven.rules added, fixes dependency on junit in the POM file

 -- Torsten Werner <twerner@debian.org>  Sat, 01 May 2010 00:48:42 +0200

javacc (5.0-3) unstable; urgency=low

  * Team upload.
  * Switch to source format 3.0.
  * Install pom.xml with maven-repo-helper. (Closes: #576323)
  * Update Standards-Version: 3.8.4.

 -- Torsten Werner <twerner@debian.org>  Sat, 01 May 2010 00:35:37 +0200

javacc (5.0-2) unstable; urgency=low

  [ Onkar Shinde ]
  * debian/control
    - Change -runtime dependencies to -runtime-headless.

 -- Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>  Fri, 18 Dec 2009 10:53:19 +0530

javacc (5.0-1) unstable; urgency=low

  [ Matthias Klose ]
  * (Build-)depend on default-jre/-jdk (Closes: #526280).

  [ Michael Koch ]
  * New upstream release. (Closes: #506465).
  * Make all packages Depends on ${misc:Depends}.
  * In descriptions replace 'Compiler Compiler' with
    'Compiler-Compiler' to not confuse spellchecker.
  * Moved package to section 'java'.
  * Added myself to Uploaders.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Thu, 24 Sep 2009 21:23:57 +0200

javacc (4.0+cvs20080403-1) unstable; urgency=low

  [ Paul Cager ]
  * New snapshot of upstream code (CVS as at 2008-04-03).
  * Marked compatible with standards version 3.7.3.
  * Added watch file.
  * Converted to use CDBS (pkg-java standard).
  * Corrected format of debian/copyright.
    (fixes lintian copyright-without-copyright-notice).

  [ Michael Koch ]
  * Removed Nicolas Sabouret from Uploaders. Closes: #464327.
  * Made URL in Homepage field a valid URL.

 -- Paul Cager <paul-debian@home.paulcager.org>  Thu, 03 Apr 2008 23:59:04 +0100

javacc (4.0+cvs20070207-3) unstable; urgency=low

  * Missing build-depends on junit.
    (Closes: #424481)

 -- Paul Cager <paul-debian@home.paulcager.org>  Wed, 16 May 2007 09:48:03 +0100

javacc (4.0+cvs20070207-2) unstable; urgency=low

  * Migrate experimental version to unstable.

 -- Paul Cager <paul-debian@home.paulcager.org>  Sun, 15 Apr 2007 19:55:43 +0100

javacc (4.0+cvs20070207-1) experimental; urgency=low

  * New upstream release
  * Now true BSD license (Closes: #276302)
  * Added myself to co-maintainers
  * Upgraded to standards version 3.7.2
  * Bumped debhelper to version 5
  * Uses java-gcj compiler, rather than kaffe
  * Moved ant from build-depends-indep to build-depends as
    required by java-policy (and lintian)
  * Created watch file
  * Split into separate "-doc" binary package
  * Added a doc-base
  * Converted diff.gz patches into dpatch format

 -- Paul Cager <paul-debian@home.paulcager.org>  Wed,  7 Feb 2007 11:34:45 +0000

javacc (3.2+0-3) unstable; urgency=low

  * ant transition (closes: #331648).
  * changed the dependency to kaffe | java-runtime | java1-runtime |
    java2-runtime, this way, any virtual machine can be used to run
    javacc. I did not change the build-dependency because it's not needed
    (closes: #325579).
  * Thanks to Arnaud Vandyck <avdyk@debian.org> for the patch

 -- Nicolas Sabouret <nico@debian.org>  Thu, 13 Oct 2005 14:24:47 +0200

javacc (3.2+0-2) unstable; urgency=low

  * Build-depends on libant1.6-java (closes: #300935)

 -- Nicolas Sabouret <nico@debian.org>  Sat, 14 May 2005 22:32:25 +0200

javacc (3.2+0-1) unstable; urgency=low

  * Build-depends on docbook-to-man
  * Moved to main (closes: #225484)
    See README.Debian for more information

