=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/_/./g;s/(\d)(\d)/$1.$2/" \
https://github.com/javacc/javacc refs/tags/(?:release_|javacc-)?(\d[\d_.]+)
